petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMCreateRestriction

Gets restriction matrix between two DM objects

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode  DMCreateRestriction(DM dm1,DM dm2,Mat *mat)

Collective on dm1

### Input Parameter

| dm1 | - the DM object
| dm2 | - the second, finer DM object

### Output Parameter

mat -the restriction

### Notes

For DMDA objects this only works for "uniform refinement", that is the refined mesh was obtained DMRefine() or the coarse mesh was obtained by DMCoarsen(). The coordinates set into the DMDA are completely ignored in computing the interpolation.

### See Also

DMDestroy(), DMView(), DMCreateGlobalVector(), DMCreateColoring(), DMCreateMatrix(), DMRefine(), DMCoarsen(), DMCreateInterpolation()

### Level

developer

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages